import LogicFlow from '../LogicFlow';
export declare const defaultTheme: LogicFlow.Theme;
export declare const radiusMode: any;
export declare const darkMode: any;
export declare const colorfulMode: any;
export declare const themeModeMap: {
    colorful: any;
    dark: any;
    radius: any;
    default: LogicFlow.Theme;
};
export declare const darkBackground: {
    background: string;
};
export declare const colorfulBackground: {
    background: string;
};
export declare const defaultBackground: {
    background: string;
};
export declare const backgroundModeMap: {
    colorful: {
        background: string;
    };
    dark: {
        background: string;
    };
    radius: {
        background: string;
    };
    default: {
        background: string;
    };
};
export declare const darkGrid: {
    color: string;
    thickness: number;
};
export declare const colorfulGrid: {
    color: string;
    thickness: number;
};
export declare const defaultGrid: {
    color: string;
    thickness: number;
};
export declare const gridModeMap: {
    colorful: {
        color: string;
        thickness: number;
    };
    dark: {
        color: string;
        thickness: number;
    };
    radius: {
        color: string;
        thickness: number;
    };
    default: {
        color: string;
        thickness: number;
    };
};
export declare const setupTheme: (customTheme?: Partial<LogicFlow.Theme>, themeMode?: 'radius' | 'dark' | 'colorful' | 'default' | string) => LogicFlow.Theme;
export declare const addThemeMode: (themeMode: string, style: Partial<LogicFlow.Theme>) => void;
export declare const removeThemeMode: (themeMode: string) => void;
export declare const clearThemeMode: () => void;
export declare const updateTheme: (customTheme?: Partial<LogicFlow.Theme>, themeMode?: 'radius' | 'dark' | 'colorful' | 'default' | string) => LogicFlow.Theme;
